Name:           fnfx
Version:        0.3
Release:        9%{?dist}
Summary:        Hotkey functions for Toshiba laptops

Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://fnfx.sourceforge.net
Source0:        http://dl.sf.net/fnfx/fnfx-%{version}.tar.gz
Source1:        fnfx-fnfxd
Patch0:         fnfx-sleep.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service

%description
FnFX enables owners of Toshiba laptops to change the LCD brightness,
control, the internal fan and use the special keys on their keyboard
(Fn-x combinations, hot-keys). The internal functions will give the
possibility to map the Fn-Keys to functions like volume up/down, mute,
suspend to disk, suspend to ram and switch LCD/CRT/TV-out. These
functions heavily depend on the system and/or kernel configuration.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -D -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/fnfxd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add fnfxd

%preun
if [ $1 -eq 0 ]; then
    /sbin/service fnfxd stop &>/dev/null
    /sbin/chkconfig --del fnfxd
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service fnfxd condrestart &>/dev/null
fi

%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING README etc/fnfxrc_example
%{_bindir}/fnfx
%{_sbindir}/fnfxd
%dir %{_sysconfdir}/fnfx/
%config(noreplace)%{_sysconfdir}/fnfx/keymap
%config(noreplace) %{_sysconfdir}/fnfx/fnfxd.conf
%{_initrddir}/fnfxd
%exclude %{_sysconfdir}/fnfx/fnfxrc_example

%changelog
* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.3-9
- new license tag
- rebuild for buildid

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-8
- FE6 rebuild

* Thu Mar 23 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-7
- add patch from Radek Bíba to allow fnfx to work again

* Tue Feb 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-6
- Rebuild for Fedora Extras 5

* Wed Aug 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-5
- add dist
- Minor cosmetic and consistency changes (Matthias Saou)

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-4
- new init from Matthias Saou

* Sat Aug 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-3
- more cleanups

* Fri Jun 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-2
- added some suggestions from Jason L Tibbitts III

* Thu Jun 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-1
- Initial Release (based on fc3 version from atrpms)

